keelwave
API Referenceadmin/alert-rules

Lists alert rules for a project

GET
/admin/orgs/{orgID}/projects/{projectID}/alert-rules

Path Parameters

orgID*string

Organization UUID

projectID*string

Project UUID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/admin/orgs/string/projects/string/alert-rules"
[  {    "agent_name": "string",    "channel": "string",    "channel_config": {},    "class": "string",    "comparator": "string",    "cooldown_seconds": 0,    "created_at": "string",    "enabled": true,    "for_seconds": 0,    "id": "string",    "keep_firing_for_seconds": 0,    "min_requests": 0,    "name": "string",    "project_id": "string",    "severity": "string",    "signal": "string",    "threshold": 0,    "window_seconds": 0  }]